%define opt /opt

Summary: PDF editor
Name: master-pdf-editor5
Version:  5.0.10  
### the actual version is the latest 4.3.89
Release: %mkrel 2
License: Proprietary
Group: Publishing
URL: http://code-industry.net/free-pdf-editor.php
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Source0: master-pdf-editor-%{version}_qt5.amd64.tar.gz
Source1: masterpdfeditor5.desktop
Requires: %{_lib}qt5printsupport5
Conflicts: master-pdf-editor5paid

%description
Note: this is the free version. If you bought the license
install the paid version: master-pdf-editor5paid

Master PDF Editor provides you advanced functions for working with PDF format:
• Create new PDF or edit existing ones.
• Add and/or edit bookmarks in PDF files.
• Fast and simple PDF forms fill out
• Changing font attributes (size, family, color etc)
• Encrypt and/or protect PDF files using 128 bit encryption.
• Convert XPS files into PDF.
• JavaScript support
• Validation Forms and Calculate Values
• Add PDF controls (like buttons, checkboxes, lists, etc.) into your PDFs.
• Import/export PDF pages into common graphical formats including BMP, JPG, PNG, and TIFF.
• Signing PDF documents with digital signature, signatures creation and validation.
• Free PDF Editor on Linux ( for non-commercial use)

The Linux-based version is free for non-commercial use. 

%prep
%setup -T -n %{name} -c

%build

%install
rm -rf %buildroot
mkdir -p %buildroot

%define my_package master-pdf-editor-%{version}_qt5.amd64.tar.gz

#download source
cd $RPM_SOURCE_DIR
###wget -nc "https://code-industry.net/public/%{my_package}" 
cd ..

# extract data
mkdir -p %buildroot/opt
tar -zxvf $RPM_SOURCE_DIR/%{my_package}  -C %buildroot/opt

mkdir -p %buildroot/%{_datadir}/applications
install -m 0644 %SOURCE1 %buildroot/%{_datadir}/applications

  
%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%opt/master-pdf-editor-5
%{_datadir}/applications/masterpdfeditor5.desktop

#recreate this as the update over master-pdf-editor removes it
%posttrans
ln -fs %opt/master-pdf-editor-5/masterpdfeditor5 %{_bindir}/master-pdf-editor


%changelog
* Wed Jul 01 2020 pp <pp> 5.0.10-2pclos2020
- add obsoletes to paid version 

* Tue May 29 2018 pp <pp> 5.0.10-1pclos2018
- update but downgrade to latest 4.3.89 

* Sun May 20 2018 pp <pp> 5.0.02-1pclos2018
- update

* Tue Apr 17 2018 bb2 <bb2> - 4.3.89-1pclos2018
- new version

* Mon Jan 29 2018 tex - 4.3.82-1pclos2018
- new version

* Tue Nov 07 2017 pp <pp> 4.3.61-1pclos2017
- update

* Mon Aug 14 2017 pp <pp> 4.2.70-1pclos2017
- update

* Wed Jul 19 2017 bb2 <bb2> - 4.2.63-1pclos2017
- new version

* Fri Jun 30 2017 bb2 <bb2> - 4.2.30-1pclos2017
- new version

* Wed Jun 14 2017 bb2 <bb2> - 4.2.12-1pclos2017
- new version

* Wed Jun 14 2017 bb2 <bb2> - 4.2.10-1pclos2017
- new version
